/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>
#include <limits.h>

int diff_arg(int num, int (*pf)()) {
  if(pf == NULL) {
     printf("NULL for pf is passed to diff_arg() in C\n");
     return 0;
  }
  switch (num) {
    case 0:
      pf();
      break;
    case 1:
      pf(10);
      break;
    case 2:
      pf(10, 20);
      break;
    case INT_MAX:
      pf(0);
      pf(1, 20);
      pf(2, 20, 30.0);
      break;
  } 

  return 0;
}
